Employer Domain Verification w/o OTP

🙌

Important Note

Please use only Staging Credentials on each API Reference page to test the APIs directly from our Documentation.

API Endpoints

EnvironmentHost
Stagingin.staging.decentro.tech
Productionin.decentro.tech

Response Parameters

KeyDescriptionDatatype
decentroTxnIdUnique identifier for the transactionString
statusStatus of the verification processString
responseCodeResponse code indicating the result of the verificationString
messageMessage providing additional information about the verification processString
dataAn object containing detailed information about the email address and associated accountObject
data.isDisposableIndicates whether the email address is disposable (temporary) or notBoolean
data.domainAgeIndicates the age of the domainString
data.domainRegistrationDateIndicates the date of the registration of the email domain in YYYY-MM-DD formatString
data.companyDetailsArray containing a list of objects with details about the company associated with the email addressArray
data.companyDetails.* (various keys under companyDetails)Various details about the company such the name and the CIN numberString
data.accountAn object containing information about the associated accountObject
data.account.usernameUsername associated with the accountString
data.account.isGibberishIndicates whether the username appears to be random or nonsensicalBoolean
responseKeyKey indicating the type of responseString

Response Keys and Scenarios

The following list contains the various response keys along with 1 sample response JSON corresponding to each of them.

  1. success_employment_email_verification -> HTTP 200 Success (A private email was found)
{
    "decentroTxnId": "3D03FE7181C34E92ACDFD249A79ED618",
    "status": "SUCCESS",
    "responseCode": "S00000",
    "message": "The email address was verified successfully.",
    "data": {
        "domainRegistrationDate": "2018-01-10",
        "domainAgeInDays": 2576,
        "isDisposable": false,
        "isPublic": false,
        "companyDetails": [
            {
                "company": "IDFC FIRST BANK LIMITED",
                "cin": "L65110TN2014PLC097792"
            }
        ],
        "account": {
            "username": "shabnum.zaman",
            "isGibberish": false
        }
    },
    "responseKey": "success_employment_email_verification"
}

  1. success_public_email_found -> HTTP 200 Success (A public email was found)
{
    "decentroTxnId": "DFDD9350B1724B09A9B82E8F0B670CB1",
    "status": "FAILURE",
    "responseCode": "S00000",
    "message": "The email address was verified successfully.",
    "data": {
        "isDisposable": false,
        "isPublic": true,
        "account": {
            "username": "sample",
            "isGibberish": false
        }
    },
    "responseKey": "success_public_email_found"
}

  1. error_invalid_email -> HTTP 400 Bad Request (For an invalid email)
{
    "decentroTxnId": "2E25C80903DF437289F210CF04D67529",
    "status": "FAILURE",
    "responseCode": "E00009",
    "message": "Invalid email. Please pass a valid email.",
    "responseKey": "error_invalid_email"
}

  1. error_duplicate_reference_id -> HTTP 400 Bad Request (For duplicate reference ID)
{
    "decentroTxnId": "B30A2E575F4B463C81F04A0DB549B122",
    "status": "FAILURE",
    "responseCode": "E00019",
    "message": "Duplicate Request Reference ID",
    "responseKey": "error_duplicate_reference_id"
}
Body Params
string
required

Any unique ID assigned by you for this request

boolean
required
string
required
Defaults to To perform KYC of the individual

The purpose of taking this consent from your customer. Mandatory as per regulation. (>20 characters)

string
required

The email of the individual whose employment details need to be verified

string

An optional field denoting the name of the employer

Headers
string
required

ID/identifier that is provided by Decentro to a specific client and environment. Please note, this may change based on the environment you are on.

string
required

The confidential credential provided by Decentro that is associated with the client_id

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json